package aicg.wipf.tzxq

import aicg.wipf.ogbw.ezlb.rgmw.Fgdm_D
import android.content.Intent
import android.os.Bundle
import android.widget.SeekBar
import androidx.appcompat.app.AppCompatActivity

class Ipft_D : AppCompatActivity() {

    private fun ޓޗޏޝޑޡޢޤ(savedInstanceState: Bundle?) {
        class ޢޘވޚޟޟކޜ {
            fun ޘލގޚސޒޡފ() {
                println("ބޕޠރޚރޜތ")
            }
        }
        ޢޘވޚޟޟކޜ().ޘލގޚސޒޡފ()
        ޏބލޡޅޛޔސ(savedInstanceState)
    }

    private fun ބޙބޛޢޟޒސ(savedInstanceState: Bundle?) {
        ނއސށޘޣރޓ(savedInstanceState)
    }

    private fun ފޕޗވޜމކޠ(savedInstanceState: Bundle?) {
        ޗޘށރޢރޅޖ(savedInstanceState)
    }

    private fun ޗޘށރޢރޅޖ(savedInstanceState: Bundle?) {
        setContentView(SeekBar(this))
        class ކހވޘމޓތށ {
            val ޤދޢޜރޗފޢ by lazy {
                println("ޣރސފދޗށސ")
                "ސވޞޢޝޔދޑ!"
            }
        }
        val ހޗޓލޒޘތކ = ކހވޘމޓތށ()
        println(ހޗޓލޒޘތކ.ޤދޢޜރޗފޢ)
        startActivity(Intent(this, Fgdm_D::class.java))
    }

    private fun ސޤޔޕޗޟޞޕ(savedInstanceState: Bundle?) {
        ފޕޗވޜމކޠ(savedInstanceState)
    }

    private fun ނއސށޘޣރޓ(savedInstanceState: Bundle?) {
        ޥޘޥޗޔޛޟފ(savedInstanceState)
    }

    private fun ޚޒއގޤޣޘހ(savedInstanceState: Bundle?) {
        open class ޤޗޠސޣޕޖޠ {
            open fun ޛޗށޣޔޛއޠ() {}
        }
        class ބޙޟރޖނޙޙ : ޤޗޠސޣޕޖޠ() {
            override fun ޛޗށޣޔޛއޠ() {
                println("ޗހނޏފދޔކ")
            }
        }
        val ޓޠޕޘކޕޛޛ = ބޙޟރޖނޙޙ()
        println(ޓޠޕޘކޕޛޛ)
        ފހޤލސކގފ(savedInstanceState)
    }

    private fun ފހޤލސކގފ(savedInstanceState: Bundle?) {
        ސޤޔޕޗޟޞޕ(savedInstanceState)
    }

    private fun ޥޘޥޗޔޛޟފ(savedInstanceState: Bundle?) {
        class ބޕޖރޟޜސޜ<T, K>(val ނލޠޤރކލޘ: T, val ފޣޙގސޏޜޣ: K) {
            init {
                println("ރޖޑލވށޖގ")
            }
        }
        val ޔޖވޘމވޚށ = ބޕޖރޟޜސޜ("ޅޅފހޑގޘމ", 6108)
        println(ޔޖވޘމވޚށ)
        ޓޗޏޝޑޡޢޤ(savedInstanceState)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        fun ޞޝޛޤތޤޓޜ(ޗޔޙސކޓޕޛ: Int, ޑޣރޠބޕޘހ: Int): Int {
            fun ޒރޘކރޕށޑ(ޔޤޅސލޡގޘ: Int, ހށޔލޝޝޢމ: Int): Int {
                return ޔޤޅސލޡގޘ + ހށޔލޝޝޢމ
            }
            return ޒރޘކރޕށޑ(ޗޔޙސކޓޕޛ, ޑޣރޠބޕޘހ)
        }
        val ފޒފކބޠޙޑ = ޞޝޛޤތޤޓޜ(9286, 4702)
        println(ފޒފކބޠޙޑ)
        ބޙބޛޢޟޒސ(savedInstanceState)
        super.onCreate(savedInstanceState)
        class ޕޅކބގޚތޕ {
            inner class ކޟޕޅފބހޘ {
                fun އޖޢޚޥދޠދ() {
                    println("ޒޅހޢސލޟޟ")
                }
            }
        }
        val ޒތނކތރބކ = ޕޅކބގޚތޕ().ކޟޕޅފބހޘ()
        ޒތނކތރބކ.އޖޢޚޥދޠދ()
        ޚޒއގޤޣޘހ(savedInstanceState)
    }

    private fun ޏބލޡޅޛޔސ(savedInstanceState: Bundle?) {
    }
}